<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
 http://www.springframework.org/schema/beans/spring-beans-3.1.xsd">
    <bean id="valeurQualitativeDAO" class="org.inra.ecoinfo.acbb.refdata.itk.listeitineraire.JPAValeurQualitativeDAO">
    </bean>
    <bean id="synthesisRegister"
          class="org.inra.ecoinfo.synthesis.impl.DefaultSynthesisRegister">
        <property name="basePackage" value="org.inra.ecoinfo.acbb.synthesis"/>
        <property name="metaSynthesisDatatypesMap">
            <map>
                <entry key="flux chambres">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="fluxchambre"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site FROM MesureFluxChambre mfc, AgroecosystemeSiteThemeDatatypeParcelle astdp where astdp.id=mfc.versionFile.dataset.leafNode.id"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_flux_chambres_vfc z INNER JOIN variable_acbb_var v ON (z.id = v.id) INNER JOIN mesure_flux_chambres_mfc m ON (z.mfc_id = m.mfc_id) INNER JOIN suivi_parcelle_spa spa ON (m.spa_id = spa.spa_id) INNER JOIN parcelle_par par ON (spa.par_id=par.par_id) WHERE par.sit_id = %s and z.valeur &lt;&gt;-9999"/>

                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="select v.mesure.date, v.valeur FROM ValeurMesureFluxChambre v WHERE v.variable.id = :variableId and v.mesure.suiviParcelle.parcelle.site.id = :siteId and v.valeur &lt;&gt;-9999 order by v.mesure.date"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(m.date), max(m.date) FROM MesureFluxChambre m WHERE m.suiviParcelle.parcelle.site.id = :siteId"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="flux tours">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="fluxtours"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct astdp.parcelle.site FROM SequenceFluxTours sft, AgroecosystemeSiteThemeDatatypeParcelle astdp where astdp.id=sft.version.dataset.leafNode.id"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_flux_tours_vft z INNER JOIN variable_acbb_var v ON (z.Id = v.id) INNER JOIN mesure_flux_tours_mft m ON (z.mft_id = m.mft_id) INNER JOIN sequence_flux_tours_sft s ON (s.sft_id = m.sft_id)INNER JOIN parcelle_par par ON (s.par_id=par.par_id) WHERE par.sit_id = %s and z.valeur&lt;&gt;-9999"/>

                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="select v.mesureFluxTours.sequenceFluxTours.dateMesure, v.value FROM ValeurFluxTours v WHERE v.variable.id = :variableId and v.mesureFluxTours.sequenceFluxTours.parcelle.site.id = :siteId and v.value&lt;&gt;-9999 order by v.mesureFluxTours.sequenceFluxTours.dateMesure"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(s.dateMesure), max(s.dateMesure) FROM SequenceFluxTours s WHERE s.parcelle.site.id = :siteId"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="meteorologie_semi-horaire">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="meteorologie"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site FROM SequenceMeteo sme, AgroecosystemeSiteThemeDatatypeParcelle astdp where astdp.id=sme.version.dataset.leafNode.id"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_meteo_vme z INNER JOIN variable_acbb_var v using(id) INNER JOIN mesure_meteo_mme m using(mme_id) INNER JOIN sequence_meteo_sme s using(sme_id) INNER JOIN insertion_version_file_ivf ivf using(ivf_id) INNER JOIN insertion_dataset_ids ids using(ids_id) INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp on(astdp.dtn_id=ids.dtn_id) INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) INNER JOIN agroecosysteme_site_theme ast using(ast_id) WHERE ast.sit_id = %s and z.valeur&lt;&gt;-9999"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="select v.mesureMeteo.sequenceMeteo.dateMesure, v.value FROM ValeurMeteo v, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE v.variable.id = :variableId and astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=v.mesureMeteo.sequenceMeteo.version.dataset.leafNode.id and v.value&lt;&gt;-9999 order by v.mesureMeteo.sequenceMeteo.dateMesure"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(s.dateMesure), max(s.dateMesure) FROM SequenceMeteo s, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=s.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="humidite_volumique_du_sol">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="swc"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site FROM SequenceSWC swc, AgroecosystemeSiteThemeDatatypeParcelle astdp where astdp.id=swc.version.dataset.leafNode.id"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_swc_vswc z INNER JOIN variable_acbb_var v using(id) INNER JOIN mesure_swc_mswc m USING(mswc_id) INNER JOIN sous_sequence_swc_ssswc ss USING(ssswc_id) INNER JOIN sequence_swc_sswc s USING(sswc_id) INNER JOIN insertion_version_file_ivf ivf USING(ivf_id) INNER JOIN insertion_dataset_ids ids USING(ids_id) INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp on(astdp.dtn_id=ids.dtn_id) INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) INNER JOIN agroecosysteme_site_theme ast using(ast_id) WHERE ast.sit_id = %s and z.valeur&lt;&gt;-9999"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="select v.mesureMPS.sousSequenceMPS.sequenceMPS.date, v.value FROM ValeurSWC v, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE v.variable.id = :variableId and astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=v.mesureMPS.sousSequenceMPS.sequenceMPS.version.dataset.leafNode.id and v.value&lt;&gt;-9999 order by v.mesureMPS.sousSequenceMPS.sequenceMPS.date"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(s.date), max(s.date) FROM SequenceSWC s, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=s.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="tension_de_l_eau_dans_le_sol">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="smp"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site FROM SequenceSMP smp, AgroecosystemeSiteThemeDatatypeParcelle astdp where astdp.id=smp.version.dataset.leafNode.id"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_smp_vsmp z INNER JOIN variable_acbb_var v using(id) INNER JOIN mesure_smp_msmp m using(msmp_id) INNER JOIN sous_sequence_smp_sssmp ss using(sssmp_id) INNER JOIN sequence_smp_ssmp s using(ssmp_id) INNER JOIN insertion_version_file_ivf ivf using(ivf_id) INNER JOIN insertion_dataset_ids ids using(ids_id) INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp on(astdp.dtn_id=ids.dtn_id) INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) INNER JOIN agroecosysteme_site_theme ast using(ast_id) WHERE ast.sit_id = %s and z.valeur&lt;&gt;-9999"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="select v.mesureMPS.sousSequenceMPS.sequenceMPS.date, v.value FROM ValeurSMP v, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE v.variable.id = :variableId and astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=v.mesureMPS.sousSequenceMPS.sequenceMPS.version.dataset.leafNode.id and v.value&lt;&gt;-9999 order by v.mesureMPS.sousSequenceMPS.sequenceMPS.date"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(s.date), max(s.date) FROM SequenceSMP s, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=s.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="temperature_du_sol">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="ts"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site FROM SequenceTS ts, AgroecosystemeSiteThemeDatatypeParcelle astdp where astdp.id=ts.version.dataset.leafNode.id"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_ts_vts z INNER JOIN variable_acbb_var v using(id) INNER JOIN mesure_ts_mts m using(mts_id) INNER JOIN sous_sequence_ts_ssts ss using(ssts_id) INNER JOIN sequence_ts_sts s using(sts_id) INNER JOIN insertion_version_file_ivf ivf using(ivf_id) INNER JOIN insertion_dataset_ids ids using(ids_id) INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp on(astdp.dtn_id=ids.dtn_id) INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) INNER JOIN agroecosysteme_site_theme ast using(ast_id) WHERE ast.sit_id = %s and z.valeur&lt;&gt;-9999"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="select v.mesureMPS.sousSequenceMPS.sequenceMPS.date, v.value FROM ValeurTS v, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE v.variable.id = :variableId and astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=v.mesureMPS.sousSequenceMPS.sequenceMPS.version.dataset.leafNode.id and v.value&lt;&gt;-9999 order by v.mesureMPS.sousSequenceMPS.sequenceMPS.date"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(s.date), max(s.date) FROM SequenceTS s, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=s.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="semis">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="semis"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct s.suiviParcelle.parcelle.site from Semis s"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="select id, affichage, code,definition, isqualitative,nom from (
									with resultSet as (
									select * 
									from semis_sem s
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp using(dtn_id) 
									INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) 
									INNER JOIN agroecosysteme_site_theme ast using(ast_id))
									SELECT DISTINCT v.*, sit_id siteId FROM valeur_semis_vsem z 
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN mesure_semis_msem m using(msem_id) 
									INNER JOIN resultSet using(itk_id) 
									union
									SELECT DISTINCT v.*, sit_id siteId FROM valeur_semis_vsema z 
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN resultSet using(itk_id) )
									as variable
									WHERE siteId = %s"/>
                        <property name="defaultBuildSynthesisValuesQueryType" value="SQL"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="with resultTable as (select *
										from valeur_semis_vsem vsem
										join mesure_semis_msem msem using(msem_id)
										join semis_sem sem using(itk_id)
										join suivi_parcelle_spa spa using(spa_id)
										join parcelle_par par using(par_id)
										join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
										),
										resultTable2 as (
										select * 
										from valeur_semis_vsema vsema
										join semis_sem sem using(itk_id)
										join suivi_parcelle_spa spa using(spa_id)
										join parcelle_par par using(par_id)
										join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
										)
										select date, valeur, vq from (
										/*selection des valeurs qualitatives de valeur_semis*/
										select date, null valeur, vq.valeur vq , var_id, sit_id
										from resultTable
										join valeur_qualitative vq using(vq_id)
										union
										/* selection des valeurs de valeur_semis*/
										select date, value valeur, null vq , var_id, sit_id 
										from resultTable
										where value is not null
										union
										/*selection des listes de valeurs qualitatives de valeur_semis*/
										select date, null valeur, vq.valeur vq , var_id, sit_id 
										from resultTable r
										join valeur_qualitative vq on r.vq_id=vq.vq_id
										union
										/*selection des valeurs qualitatives de valeur_semis_attr*/
										select date, null valeur, vq.valeur vq, var_id, sit_id 
										from resultTable r
										join valeur_qualitative vq on r.vq_id=vq.vq_id
										where vq.valeur is not null
										union
										/*selection des valeurs de valeur_semis_attr*/
										select date, value valeur, null vq, var_id, sit_id 
										from resultTable
										where value is not null
										union
										/*selection des listes de valeurs qualitatives de valeur_semis_attr*/
										select date, null valeur, vq.valeur vq, var_id, sit_id 
										from resultTable r
										join valeur_qualitative vq on r.vq_id=vq.vq_id
										union
										select date, null valeur, vq.valeur vq, var_id, sit_id
											from resultTable2
											join vsema_vq vvq using (vsema_id)
											join valeur_qualitative vq on vvq.vq_id = vq.vq_id
										union
										select date, null valeur, valeur vq, var_id, sit_id
											from resultTable2
											join valeur_qualitative vq using(vq_id)
											where vq_id is not null
										) valeurs
										where sit_id = :siteId and var_id = :variableId"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(s.date), max(s.date) FROM Semis s, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=s.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="travail_du_sol">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="travaildusol"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct t.suiviParcelle.parcelle.site from TravailDuSol t"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_travail_du_sol_vwsol z
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN mesure_travail_du_sol_mwsol m using(mwsol_id) 
									INNER JOIN travail_du_sol_wsol s using(itk_id) 
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp using(dtn_id) 
									INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) 
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									WHERE sit_id = %s"/>
                        <property name="defaultBuildSynthesisValuesQueryType" value="SQL"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="with resultTable as (select *
											from valeur_travail_du_sol_vwsol vwsol
											join mesure_travail_du_sol_mwsol mwsol using(mwsol_id)
											join travail_du_sol_wsol wsol using(itk_id)
											join suivi_parcelle_spa spa using(spa_id)
											join parcelle_par par using(par_id)
											join datatype_variable_unite_acbb_dvu dvu using(vdt_id))
										select date, valeur, vq from (
										/*selection des valeurs qualitatives de travail du sol*/
										select date, null valeur, vq.valeur vq, var_id, sit_id 
											from resultTable
											join valeur_qualitative vq using(vq_id)
										union
										/*selection des valeurs qualitatives de travail du sol*/
										select date, value valeur, null vq, var_id, sit_id 
											from resultTable
										union
										select date, null valeur, vq.valeur vq, var_id, sit_id
											from resultTable
											join vwsol_vq vvq using (vwsol_id)
											join valeur_qualitative vq on vvq.vq_id = vq.vq_id
											) valeurs
										where sit_id = :siteId and var_id = :variableId"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(t.date), max(t.date)
									FROM TravailDuSol t, AgroecosystemeSiteThemeDatatypeParcelle astdp
									WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId
									and astdp.id=t.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="paturage">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="paturage"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct p.suiviParcelle.parcelle.site from Paturage p"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_paturage_vpat z
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN paturage_pat s using(itk_id) 
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp using(dtn_id) 
									INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) 
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									WHERE sit_id = %s"/>
                        <property name="defaultBuildSynthesisValuesQueryType" value="SQL"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="with resultTable as (select *
											from valeur_paturage_vpat vpat
											join paturage_pat pat using(itk_id)
											join suivi_parcelle_spa spa using(spa_id)
											join parcelle_par par using(par_id)
											join datatype_variable_unite_acbb_dvu dvu using(vdt_id))
										select date, valeur, vq from (
										/*selection des valeurs qualitatives de paturage*/
										select date, null valeur, vq.valeur vq, var_id, sit_id 
											from resultTable
											join valeur_qualitative vq using(vq_id)
										union
										/*selection des valeurs qualitatives de paturage*/
										select date, value valeur, null vq, var_id, sit_id 
											from resultTable
											where value is not null) valeurs
										where sit_id = :siteId and var_id = :variableId"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(p.date), max(p.date)
									FROM Paturage p, AgroecosystemeSiteThemeDatatypeParcelle astdp
									WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId
									and astdp.id=p.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="recolte_et_fauche">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="recolteetfauche"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct r.suiviParcelle.parcelle.site from RecFau r"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_recolte_et_fauche_vrecfau z
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN recolte_et_fauche_recfau s using(itk_id) 
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp using(dtn_id) 
									INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) 
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									WHERE sit_id = %s"/>
                        <property name="defaultBuildSynthesisValuesQueryType" value="SQL"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="with resultTable as (select *
											from valeur_recolte_et_fauche_vrecfau vrecfau
											join recolte_et_fauche_recfau recfau using(itk_id)
											join suivi_parcelle_spa spa using(spa_id)
											join parcelle_par par using(par_id)
											join datatype_variable_unite_acbb_dvu dvu using(vdt_id))
										select date, valeur, vq from (
										/*selection des valeurs qualitatives de récolte et fauche*/
										select date, null valeur, vq.valeur vq, var_id, sit_id 
											from resultTable
											join valeur_qualitative vq using(vq_id)
										union
										/*selection des valeurs qualitatives de récolte et fauche*/
										select date, value valeur, null vq, var_id, sit_id 
											from resultTable
											where value is not null) valeurs
										where sit_id = :siteId and var_id = :variableId"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(r.date), max(r.date)
									FROM RecFau r, AgroecosystemeSiteThemeDatatypeParcelle astdp
									WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId
									and astdp.id=r.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="fertilisation">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="fertilisant"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct f.suiviParcelle.parcelle.site from Fertilisant f"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_fertilisant_vfert z
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN fertilisant_fert s using(itk_id) 
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp using(dtn_id) 
									INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) 
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									WHERE sit_id = %s"/>
                        <property name="defaultBuildSynthesisValuesQueryType" value="SQL"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="with resultTable as (select *
											from valeur_fertilisant_vfert vfert
											join fertilisant_fert fert using(itk_id)
											join suivi_parcelle_spa spa using(spa_id)
											join parcelle_par par using(par_id)
											join datatype_variable_unite_acbb_dvu dvu using(vdt_id))
										select date, valeur, vq from (
										/*selection des valeurs qualitatives de fertilisation*/
										select date, null valeur, vq.valeur vq, var_id, sit_id 
											from resultTable
											join valeur_qualitative vq using(vq_id)
										union
										/*selection des valeurs qualitatives de fertilisation*/
										select date, value valeur, null vq, var_id, sit_id 
											from resultTable
											where value is not null) valeurs
										where sit_id = :siteId and var_id = :variableId"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(f.date), max(f.date)
									FROM Fertilisant f, AgroecosystemeSiteThemeDatatypeParcelle astdp
									WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId
									and astdp.id=f.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="fauche_non_exportee">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="fauchenonexportee"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct f.suiviParcelle.parcelle.site from Fne f"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_fauche_non_exportee_vfne z
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN fauche_non_exportee_fne s on fne_id= itk_id
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp using(dtn_id) 
									INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) 
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									WHERE sit_id = %s"/>
                        <property name="defaultBuildSynthesisValuesQueryType" value="SQL"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="with resultTable as (select *
											from valeur_fauche_non_exportee_vfne vfne
											join fauche_non_exportee_fne fne on fne_id = itk_id
											join suivi_parcelle_spa spa using(spa_id)
											join parcelle_par par using(par_id)
											join datatype_variable_unite_acbb_dvu dvu using(vdt_id))
										select date, valeur, vq from (
										/*selection des valeurs qualitatives de fauche non exportée*/
										select date, null valeur, vq.valeur vq, var_id, sit_id 
											from resultTable
											join valeur_qualitative vq using(vq_id)
										union
										/*selection des valeurs qualitatives de fauche non exportée*/
										select date, value valeur, null vq, var_id, sit_id 
											from resultTable
											where value is not null) valeurs
										where sit_id = :siteId and var_id = :variableId"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(f.date), max(f.date)
									FROM Fne f, AgroecosystemeSiteThemeDatatypeParcelle astdp
									WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId
									and astdp.id=f.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="autre_intervention">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="autreintervention"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct a.suiviParcelle.parcelle.site from AI a"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_autre_intervention_vai z
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN autre_intervention_ai s on ai_id= itk_id
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp using(dtn_id) 
									INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) 
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									WHERE sit_id = %s"/>
                        <property name="defaultBuildSynthesisValuesQueryType" value="SQL"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="with resultTable as (select *
											from valeur_autre_intervention_vai vai
											join autre_intervention_ai ai on ai_id = itk_id
											join suivi_parcelle_spa spa using(spa_id)
											join parcelle_par par using(par_id)
											join datatype_variable_unite_acbb_dvu dvu using(vdt_id))
										select date, valeur, vq from (
										/*selection des valeurs qualitatives d'autre intervention*/
										select date, null valeur, vq.valeur vq, var_id, sit_id 
											from resultTable
											join valeur_qualitative vq using(vq_id)
										union
										/*selection des valeurs qualitatives d'autre intervention*/
										select date, value valeur, null vq, var_id, sit_id 
											from resultTable
											where value is not null
										) valeurs
										where sit_id = :siteId and var_id = :variableId"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(a.date), max(a.date)
									FROM AI a, AgroecosystemeSiteThemeDatatypeParcelle astdp
									WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId
									and astdp.id=a.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="phytosanitaire">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="phytosanitaire"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct p.suiviParcelle.parcelle.site from Phytosanitaire p"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT * from (
									select v.*, sit_id FROM valeur_phytosanitaire_vphyt z 
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN phytosanitaire_phyt s using(itk_id)
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp using(dtn_id) 
									INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) 
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									union
									select 0 id , 'phyt_produit' affichage, 'produit phytosanitaire' code, 'Produit phytosanitaire ' definition, 't' isqualitative, 'Produit phytosanitaire' nom, sit_id
									from valeur_phytosanitaire_vphyt z 
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN phytosanitaire_phyt s using(itk_id)
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp using(dtn_id) 
									INNER JOIN agroecosysteme_site_theme_datatype astd using(astd_id) 
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									) variables
									WHERE sit_id = %s"/>
                        <property name="defaultBuildSynthesisValuesQueryType" value="SQL"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="with resultTable as (select *
											from valeur_phytosanitaire_vphyt vphyt
											join phytosanitaire_phyt phyt using(itk_id)
											join suivi_parcelle_spa spa using(spa_id)
											join parcelle_par par using(par_id)
											join datatype_variable_unite_acbb_dvu dvu using(vdt_id))
										select date, valeur, vq from (
										/*selection des valeurs qualitatives de phytosanitaire*/
										select date, null valeur, vq.valeur vq, var_id, sit_id 
											from resultTable
											join valeur_qualitative vq using(vq_id)
										union
										/*selection des valeurs qualitatives de phytosanitaire*/
										select date, value valeur, null vq, var_id, sit_id 
											from resultTable
											where value is not null
										union
										/*selection des liste de valeurs qualitatives de phytosanitaire*/
										select date, null valeur, vq.valeur vq, var_id, sit_id 
											from resultTable r
											join valeur_qualitative vq on r.vq_id=vq.vq_id
										union
										/*selection des nom de produits phytosanitaire*/
										select date, null valeur, nom vq, 0 var_id, sit_id 
											from resultTable
										) valeurs
										where sit_id = :siteId and var_id = :variableId"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(p.date), max(p.date)
									FROM Phytosanitaire p, AgroecosystemeSiteThemeDatatypeParcelle astdp
									WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId
									and astdp.id=p.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="indice_de_surface_foliaire">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="lai"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site FROM Lai lai, AgroecosystemeSiteThemeDatatypeParcelle astdp where astdp.id=lai.version.dataset.leafNode.id"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_lai_vlai z
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN leaf_index_area_lai s on lai_id= biomasse_id
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp  using(dtn_id)
									INNER JOIN agroecosysteme_site_theme_datatype astd  using(astd_id)
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									WHERE sit_id = %s"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="select v.lai.date, v.valeur FROM ValeurLai v, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE v.datatypeVariableUnite.variable.id = :variableId and astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=v.lai.version.dataset.leafNode.id order by v.lai.date"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(s.date), max(s.date) FROM Lai s, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=s.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="biomasse_production_teneur">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="biomasseproduction"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site FROM BiomassProduction bp, AgroecosystemeSiteThemeDatatypeParcelle astdp where astdp.id=bp.version.dataset.leafNode.id"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_biomassproduction_vbpt z
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN biomass_production s using(biomasse_id)
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp  using(dtn_id)
									INNER JOIN agroecosysteme_site_theme_datatype astd  using(astd_id)
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									WHERE sit_id = %s"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="select v.biomassProduction.date, v.valeur FROM ValeurBiomassProduction v, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE v.datatypeVariableUnite.variable.id = :variableId and astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=v.biomassProduction.version.dataset.leafNode.id order by v.biomassProduction.date"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(s.date), max(s.date) FROM BiomassProduction s, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=s.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
                <entry key="hauteur_vegetal">
                    <bean class="org.inra.ecoinfo.synthesis.MetaSynthesisDatatype">
                        <property name="prefix" value="hauteurvegetal"/>
                        <property name="sitesAvailablesQuery"
                                  value="select distinct astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site FROM HauteurVegetal h, AgroecosystemeSiteThemeDatatypeParcelle astdp where astdp.id=h.version.dataset.leafNode.id"/>

                        <!-- Attention il faut faire un union -->
                        <property name="variablesAvailablesQuery"
                                  value="SELECT DISTINCT v.* FROM valeur_hauteur_vegetal_vhv z
									inner join datatype_variable_unite_acbb_dvu dvu using(vdt_id)
									INNER JOIN variable_acbb_var v on v.id=dvu.var_id 
									INNER JOIN hauteur_vegetal s using(biomasse_id)
									INNER JOIN insertion_version_file_ivf ivf using(ivf_id) 
									INNER JOIN insertion_dataset_ids ids using(ids_id) 
									INNER JOIN agroecosysteme_site_theme_datatype_parcelle astdp  using(dtn_id)
									INNER JOIN agroecosysteme_site_theme_datatype astd  using(astd_id)
									INNER JOIN agroecosysteme_site_theme ast using(ast_id)
									WHERE sit_id = %s"/>
                        <property name="defaultBuildSynthesisValuesQuery"
                                  value="select v.hauteurVegetal.date, v.valeur FROM ValeurHauteurVegetal v, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE v.datatypeVariableUnite.variable.id = :variableId and astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=v.hauteurVegetal.version.dataset.leafNode.id order by v.hauteurVegetal.date"/>


                        <property name="buildSynthesisDatatypeQuery"
                                  value="select min(s.date), max(s.date) FROM HauteurVegetal s, AgroecosystemeSiteThemeDatatypeParcelle astdp WHERE astdp.agroecosystemeSiteThemeDatatype.agroecosystemeSiteTheme.site.id = :siteId and astdp.id=s.version.dataset.leafNode.id"/>

                        <property name="metaSynthesisVariables">
                            <map></map>
                        </property>
                    </bean>
                </entry>
            </map>
        </property>
    </bean>

</beans>
